Skip to content
BrainyShorts Docs
Esc
navigateopen⌘Jpreview

Complete a claimed run (legacy queue)

POST/api/agent/runs/{id}/complete
Authorization
AuthorizationBearer token (ba_sk_...) · headerrequired

API key from /dashboard/api-keys. Keys expire after 365 days.

Path parameters
idstringrequired

Run id

Request body
requiredapplication/json
claim_tokenstringrequired
captionstringrequired
max length 2200
media_urlsstring<uri>[]
max items 10
slidesSlide[]
max items 10
Show properties
Array of Slide
textstring
max length 500
urlstring<uri>required
aspect_ratiostring
default: "9:16"
metadataobject
Responses
200

OK

runobject
400

PLATFORM_NOT_AVAILABLE

errorstringrequired
codestring
401

Missing, invalid, expired, or revoked API key

errorstringrequired
codestring
404

NOT_FOUND

errorstringrequired
codestring
409

CLAIM_CONFLICT, CLAIM_EXPIRED, or TARGET_MISSING

errorstringrequired
codestring
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST "https://www.brainyshorts.com/api/agent/runs/string/complete" \
  -H "Authorization: Bearer YOUR_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "claim_token": "string",
  "caption": "string",
  "media_urls": [
    "http://example.com"
  ],
  "slides": [
    {
      "text": "string",
      "url": "http://example.com",
      "aspect_ratio": "9:16"
    }
  ],
  "metadata": {}
}'
Response
{
  "run": {}
}